.contenedorSlider{    
    background-color: rgb(107, 107, 107);
    margin: 0 auto;
    grid-area: slider;
    border-radius: 5px;
    overflow: hidden;
    width: 100%;
    padding: 10px 10px 10px 10px;
    position: relative;
}

.slide{
    display: flex;
    transform: translate3d(0,0,0);
    transition: all 600ms;
    animation-name: autoplay;
    animation-duration: 20s;
    animation-direction: alternate;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;    
}

.item-slide{
    position: relative;
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    flex-grow: 0;
    max-width: 100%;    
}

.pagination{
    position: absolute;
    bottom: 20px;
    left: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.pagination-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid  white;
    width: 16px;
    height: 16px;
    border-radius: 4px;
    overflow: hidden;
    cursor: pointer;
    background: rgba(255,255,255, 0.5);
    margin: 0 10px;
    text-align: center;
    transition: all 300ms;    
}

.pagination-item:hover{
    transform: scale(2);    
}

.pagination-item img{
    display: inline-block;
    max-width: none;
    height: 100%;
    transform: scale(1);
    opacity: 0;
    transition: all 300 ms;
}

.pagination-item:hover img{
    opacity: 1;
    transform: scale(1);
}



input[id="1"]:checked ~ .slide{
    animation: none;
    transform: translate3d(0,0,0);
}
input[id="2"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100%*1),0,0);
}
input[id="3"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100%*2),0,0);
}


input[id="1"]:checked ~ .pagination-item[for="1"]{
    background: #fff;    
}
input[id="2"]:checked ~ .pagination-item[for="2"]{
    background: #fff;    
}
input[id="3"]:checked ~ .pagination-item[for="3"]{
    background: #fff;    
}

@keyframes autoplay{
    0%{
        transform: translate3d(calc(-100% * 0), 0, 0)
    }
    10%{
        transform: translate3d(calc(-100% * 0), 0, 0)
    }
    30%{
        transform: translate3d(calc(-100% * 1), 0, 0)
    }
    40%{
        transform: translate3d(calc(-100% * 1), 0, 0)
    }
    70%{
        transform: translate3d(calc(-100% * 2), 0, 0)
    }
    70%{
        transform: translate3d(calc(-100% * 2), 0, 0)
    }
}


